Skip to main content

Get Match Making Profile

GET 

/session/v1/match-making-profile/:match_making_profile_id

deprecated

Get info about a specific match making profile

Required Permissions:

  • For any player (including themselves) any of: session:*, session:read:config

Required Session Permissions: None DEPRECATED Use the V2 endpoint instead

Request

Path Parameters

    match_making_profile_id Match Making Profile Idrequired

    Possible values: non-empty and <= 128 characters

Header Parameters

    if-none-match If-None-Match

    If you provide the ETag that matches the current ETag for this resource, a 304 response will be returned - indicating that the resource has not changed.

Responses

Successful Response

Response Headers

  • ETag

    string

    Used to identify this version of the content. Provide with a get request to avoid downloading the same data multiple times.

Schema

    profile_id Profile Id (string)required

    Possible values: non-empty and <= 128 characters

    ID of the matchmaking profile to join

    join_mode ProfileJoinMode (string)

    Possible values: [normal, backfill, created_before]

    Mode that determines what types of match requests the ticket will appear in

    instance_launch_template_id uuidrequired

    Which instance template to use when launching a match in this profile

    rank_id Rank Id (string)

    Which rank this profile should use MMR from to make matches from, and update at the end of match (1v1 MMR or 2v2 MMR for example)

    num_sides Num Sides (integer)

    The number of sides a game in this profile will have (2 in a 1v1 and 3 in a 1v1v1 for example

    max_players_per_side Max Players Per Side (integer)

    The maximum number of players that can be on each team

    min_players_per_side Min Players Per Side (integer)

    The minimum number of players that can be on each team

    deserter_id Deserter Id (string)

    Unused in the legacy profile. Must use V2 for deserter functionality. Which deserter this profile should check before allowing players to join matchmaking

    legacy_config

    object

    Legacy config to help migrate clients

    property name* string
Loading...